> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List parts of a multipart upload

> List upload parts



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /v1/datasets/uploads/{upload_id}/parts
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v1/datasets/uploads/{upload_id}/parts:
    get:
      tags:
        - datasets
      summary: List parts of a multipart upload
      description: List upload parts
      operationId: list_upload_parts_v1_datasets_uploads__upload_id__parts_get
      parameters:
        - name: upload_id
          in: path
          required: true
          schema:
            type: string
            title: Upload Id
        - name: ai_project_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Ai Project Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadPartsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UploadPartsResponse:
      properties:
        object:
          type: string
          title: Object
          default: list
        data:
          items:
            $ref: '#/components/schemas/UploadPartInfoResponse'
          type: array
          title: Data
      type: object
      required:
        - data
      title: UploadPartsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UploadPartInfoResponse:
      properties:
        id:
          type: string
          title: Id
          description: Part identifier
          examples:
            - 4d89c87498354518b92fa02fc0ad8720
        upload_id:
          type: string
          title: Upload Id
          description: The object identifier, which can be referenced in the API endpoints.
          examples:
            - 4d89c87498354518b92fa02fc0ad8720
        status:
          type: string
          title: Status
          description: Status of the upload part
          examples:
            - SUCCESS
            - DRAFT
        created_at:
          type: integer
          title: Created At
          description: Unix timestamp when the dataset was created.
          examples:
            - 1760109124
      type: object
      required:
        - id
        - upload_id
        - status
        - created_at
      title: UploadPartInfoResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````